<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmBatchUnlock)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock Interface : ShowDlg Method (IEdmBatchUnlock)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

Displays the SOLIDWORKS PDM Professional Check In or Undo Check Out dialog box.

# Syntax

Visual Basic |
--- | ---

    Function ShowDlg( _
       ByVal lParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowDlg(
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowDlg(
    &   System.int lParentWnd
    )

#### Parameters

lParentWnd
  Parent window handle

#### Return Value

True if successful, false if not

# Example

See the IEdmBatchUnlock examples.

# Remarks

See the IEdmBatchUnlock remarks for information about using this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock Interface
IEdmBatchUnlock Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional